# Location (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.data
Interface Location

All Superinterfaces:
  Cloneable, com.threerings.io.Streamable

All Known Implementing Classes:
  StageLocation

    public interface Location

extends com.threerings.io.Streamable, Cloneable

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Method Summary
`Location` `clone()` Locations are cloneable.
`boolean` `equals(Object other)` Two locations are equals if they specify the same coordinates, but the orientation may be different.
`boolean` `equivalent(Location other)` Two locations are equivalent if they specify the same location and orientation.
`Location` `getOpposite()` Get a new Location instance that is equals() to this one but that has an orientation facing the opposite direction.
`int` `hashCode()` The hashcode of a Location should be based only on its coordinates.

Method Detail

### getOpposite

    Location getOpposite()

  Get a new Location instance that is equals() to this one but that has an orientation facing the opposite direction.

### equivalent

    boolean equivalent(Location other)

  Two locations are equivalent if they specify the same location and orientation.

### equals

    boolean equals(Object other)

  Two locations are equals if they specify the same coordinates, but the orientation may be different.

  Overrides:
    `equals` in class `Object`

### hashCode

    int hashCode()

  The hashcode of a Location should be based only on its coordinates.

  Overrides:
    `hashCode` in class `Object`

### clone

    Location clone()

  Locations are cloneable.

Copyright © 2011. All Rights Reserved.